POST api/decontaminationunitlogtypeapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
DecontaminationUnitLogTypeViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| descriptions | Dictionary of string [key] and string [value] |
None. |
|
| short_names | Dictionary of string [key] and string [value] |
None. |
|
| id | globally unique identifier |
None. |
|
| code | integer |
Required |
|
| technical_short_name | string |
Required String length: inclusive between 0 and 10 |
|
| technical_description | string |
Required String length: inclusive between 0 and 100 |
|
| garment_status_id | globally unique identifier |
None. |
|
| active | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"short_names": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"id": "8be59a27-b6a3-4f8c-b5f2-041961f0d938",
"code": 2,
"technical_short_name": "sample string 3",
"technical_description": "sample string 4",
"garment_status_id": "f62d17ea-5f81-4761-b011-6c4c2c72a8c7",
"active": true
}
application/xml, text/xml
Sample:
<decontamination_unit_log_type xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<code>2</code>
<garment_status_id>f62d17ea-5f81-4761-b011-6c4c2c72a8c7</garment_status_id>
<id>8be59a27-b6a3-4f8c-b5f2-041961f0d938</id>
<technical_description>sample string 4</technical_description>
<technical_short_name>sample string 3</technical_short_name>
<descriptions xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 1</d2p1:Key>
<d2p1:Value>sample string 2</d2p1:Value>
</d2p1:KeyValueOfstringstring>
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 3</d2p1:Key>
<d2p1:Value>sample string 4</d2p1:Value>
</d2p1:KeyValueOfstringstring>
</descriptions>
<short_names xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 1</d2p1:Key>
<d2p1:Value>sample string 2</d2p1:Value>
</d2p1:KeyValueOfstringstring>
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 3</d2p1:Key>
<d2p1:Value>sample string 4</d2p1:Value>
</d2p1:KeyValueOfstringstring>
</short_names>
</decontamination_unit_log_type>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"831d01d9-fe45-4d36-9ad8-03d1de21ee81"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">831d01d9-fe45-4d36-9ad8-03d1de21ee81</guid>